<?php

namespace Drupal\multisite_manager_tool\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\multisite_manager_tool\Form\AddNewSiteForm;

/**
 * Returns responses for Add new site routes.
 */
final class AddNewSiteController extends ControllerBase {

  /**
   * Displays the add new site page.
   *
   * @return array
   *   A render array containing the add new site form.
   */
  public function build(): array {
    return [
      'add_new_site' => $this->formBuilder()->getForm(AddNewSiteForm::class),
    ];
  }

}
